%if %mdkversion >= 200600
%define pkgconfigdir %_datadir/pkgconfig
%else
%define pkgconfigdir %_libdir/pkgconfig
%endif
%define monodir %_prefix/lib
Summary:		A wrist friendly language for the CLI/Mono
Name:			boo
Version: 0.6.0.1858
Release: 		%mkrel 1
License:		BSD
Group:			Development/Other
Source0:		http://dist.codehaus.org/boo/distributions/boo-%{version}-src.tar.bz2
URL:			http://boo.codehaus.org/
BuildRoot:		%{_tmppath}/%{name}-%{version}-buildroot
Requires:	mono
BuildRequires:	nant
BuildRequires:	shared-mime-info
#gw for the boo.lang location
BuildRequires:	libgtksourceview-devel
BuildArch:		noarch

%description
Boo is a new object oriented statically typed programming language for
the Common Language Infrastructure with a python inspired syntax and
a special focus on language and compiler extensibility.

%prep
%setup -q
perl -pi -e 's/\r//' $(find examples/ -type f )

%build
nant -nologo -D:install.prefix=%_prefix
#gw tests fail :-(
#nant -nologo test
%install
rm -rf $RPM_BUILD_ROOT
nant -nologo install  -D:install.prefix=%_prefix -D:install.destdir=%buildroot

#gw move the nant task to the right dir
mkdir -p %buildroot%_datadir/NAnt/bin
mv %buildroot%monodir/boo/Boo.NAnt.Tasks.dll %buildroot%_datadir/NAnt/bin

#gw fix pkgconfig location
%if %mdkversion >= 200600
mv %buildroot%monodir/pkgconfig  %buildroot%pkgconfigdir
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-mime-database /usr/share/mime > /dev/null

%postun 
update-mime-database /usr/share/mime > /dev/null

%files
%defattr(-, root, root)
%doc license.txt readme.txt examples docs/BooManifesto.sxw
%{_bindir}/boo*
%monodir/mono/boo/
%monodir/boo/
%monodir/mono/gac/Boo*
%_datadir/NAnt/bin/Boo.NAnt.Tasks.dll
%{_datadir}/gtksourceview-1.0/language-specs/boo.lang
%{_datadir}/mime/packages/boo-mime-info.xml
%{_datadir}/mime-info/boo.*
%pkgconfigdir/boo.pc

%changelog
* Thu Sep 01 2005 Götz Waschk <waschk@mandriva.org> 0.6.0.1858-1mdk
- New release 0.6.0.1858

* Thu Jun 30 2005 Gtz Waschk <waschk@mandriva.org> 0.5.6.1701-1mdk
- New release 0.5.6.1701

* Tue May 31 2005 Gtz Waschk <waschk@mandriva.org> 0.5.5.1651-1mdk
- New release 0.5.5.1651

* Tue May 24 2005 Gtz Waschk <waschk@mandriva.org> 0.5.4.1629-3mdk
- fix buildrequires

* Tue May 24 2005 Gtz Waschk <waschk@mandriva.org> 0.5.4.1629-2mdk
- fix build on x86_64 hosts
- fix buildrequires

* Mon May 23 2005 Gtz Waschk <waschk@mandriva.org> 0.5.4.1629-1mdk
- New release 0.5.4.1629

* Mon May 23 2005 Gtz Waschk <waschk@mandriva.org> 0.5.3.1544-3mdk
- move the nant task to the right directory

* Fri May 20 2005 Gtz Waschk <waschk@mandriva.org> 0.5.3.1544-2mdk
- let nant do the install stuff
- add missing pkgconfig file

* Fri May 20 2005 Gtz Waschk <waschk@mandriva.org> 0.5.3.1544-1mdk
- %%_libdir in noarch no good
- use the sources
- new version

* Wed Apr 27 2005 Michael Scherer <misc@mandriva.org> 0.5.2-1mdk
- from Tigrux <tigrux@ximian.com>
  - First rpm for Mandriva
